<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1">

		<title>HTML Attributes and Links</title>
	</head>

	<body>
		<!-- h2 will created heading on our webpage -->
		<h2 align="center" id = "top">HTML Attributes</h2>
		<!-- align attribute - changes alignment of the paragraph -->

		<p align="center"><em>Modifiers of element behaviors.</em></p>

		<h2>HTML Images</h2>
		<!-- &lt and &gt; are called HTML entities. They are used to include special characters into text. Some characters used in HTML are as part of the code. -->
		<p align="right"><em>An image can be shown using &lt;img&gt; tag along with its <strong>src</strong> attributes</em></p>

		<!-- img tag is used to include image. img tag it ceates inline elements. -->
		<!-- src attributes accepts a url from an online resource. -->
		<img src="https://place-puppy.com/300x300"/>
		<p>
			<!-- code tag is used to define a piece of computer code and displays text in browser using it's default monospace font -->
			<code>
				&lt; src="https://place-puppy.com/300x300" &gt;
			</code>
		</p>

		<!-- in src attribute, we use relative linking -->
		<img src="./images/zuittlogo.png"/>
		<p>
			<!-- code tag is used to define a piece of computer code and displays text in browser using it's default monospace font. -->
			<code>
				&lt;img src="./images/zuittlogo.png"/&gt;
			</code>
		</p>

		<p>Valid image extensions are the following:</p>
		<!-- type attributes changes the numberes points of the elements. The default type is the integer numbers. Types : 1, a, A, i, I -->
		<!-- The reverse attribute reverses the order of the bullet points -->
		<ol type="I">
			<li>png</li>
			<li>jpg</li>
			<li>gif</li>
			<li>svg</li>
			<li>webp</li>
		</ol>
		<!-- a tag creates a hyperlink when click will direct to diff page. It is example of inline tag -->
		<!-- href attribute mean "hypertext reference" which is used to create link to diff page -->
		<!-- target="_blank" - to open a new tab for absolute linking -->
		<a href="https://zuitt.co/" target ="_blank"> I'm a hyperlink.</a>

		<h4>Relative Linking</h4>
		<ul>
			<!-- This hyperlink will direct you to link.html -->
			<li>Hyperlink going to the <a href="./link.html">link.html</a></li>
			<!-- This hyperlink will drect you to images.html -->
			<li>Go to <a href="./images/images.html">images.html</a></li>
		</ul>
		<!-- Got to top using ID attributes -->
		<li>Go to <a href="#top"></a> </li>


	</body>
</html>